* [dpdk-dev] [PATCH] buildtools: output build failure reason to stderr
@ 2018-02-01 13:49 Andrew Rybchenko
2018-02-06 0:19 ` Thomas Monjalon
2018-02-07 8:24 ` [dpdk-dev] [PATCH v2] " Andrew Rybchenko
0 siblings, 2 replies; 5+ messages in thread
From: Andrew Rybchenko @ 2018-02-01 13:49 UTC (permalink / raw)
To: dev; +Cc: Neil Horman
If build fails because of failed experimental check and stdout is
redirected to /dev/null, it is absolutely unclear why build fails.
Fixes: a4bcd61de82d ("buildtools: add script to check experimental API exports")
Signed-off-by: Andrew Rybchenko <arybchenko@solarflare.com>
---
buildtools/check-experimental-syms.sh | 8 +++++---
1 file changed, 5 insertions(+), 3 deletions(-)
diff --git a/buildtools/check-experimental-syms.sh b/buildtools/check-experimental-syms.sh
index 7d21de3..7f5aa61 100755
--- a/buildtools/check-experimental-syms.sh
+++ b/buildtools/check-experimental-syms.sh
@@ -22,9 +22,11 @@ do
IN_EXP=$?
if [ $IN_TEXT -eq 0 -a $IN_EXP -ne 0 ]
then
- echo "$SYM is not flagged as experimental"
- echo "but is listed in version map"
- echo "Please add __rte_experimental to the definition of $SYM"
+ cat >&2 <<EOM
+$SYM is not flagged as experimental
+but is listed in version map
+Please add __rte_experimental to the definition of $SYM
+EOM
exit 1
fi
done
--
2.7.4
^ permalink raw reply [flat|nested] 5+ messages in thread
* Re: [dpdk-dev] [PATCH] buildtools: output build failure reason to stderr
2018-02-01 13:49 [dpdk-dev] [PATCH] buildtools: output build failure reason to stderr Andrew Rybchenko
@ 2018-02-06 0:19 ` Thomas Monjalon
2018-02-07 8:24 ` [dpdk-dev] [PATCH v2] " Andrew Rybchenko
1 sibling, 0 replies; 5+ messages in thread
From: Thomas Monjalon @ 2018-02-06 0:19 UTC (permalink / raw)
To: Andrew Rybchenko; +Cc: dev, Neil Horman
01/02/2018 14:49, Andrew Rybchenko:
> - echo "$SYM is not flagged as experimental"
> - echo "but is listed in version map"
> - echo "Please add __rte_experimental to the definition of $SYM"
> + cat >&2 <<EOM
> +$SYM is not flagged as experimental
> +but is listed in version map
> +Please add __rte_experimental to the definition of $SYM
> +EOM
You could use <<- EOM and keep indentation of the message.
You can check how it's done in devtools scripts.
^ permalink raw reply [flat|nested] 5+ messages in thread
* [dpdk-dev] [PATCH v2] buildtools: output build failure reason to stderr
2018-02-01 13:49 [dpdk-dev] [PATCH] buildtools: output build failure reason to stderr Andrew Rybchenko
2018-02-06 0:19 ` Thomas Monjalon
@ 2018-02-07 8:24 ` Andrew Rybchenko
2018-02-07 12:24 ` Neil Horman
1 sibling, 1 reply; 5+ messages in thread
From: Andrew Rybchenko @ 2018-02-07 8:24 UTC (permalink / raw)
To: dev; +Cc: Thomas Monjalon, Neil Horman
If build fails because of failed experimental check and stdout is
redirected to /dev/null, it is absolutely unclear why build fails.
Fixes: a4bcd61de82d ("buildtools: add script to check experimental API exports")
Signed-off-by: Andrew Rybchenko <arybchenko@solarflare.com>
---
v2:
- use <<- to keep indentation of the message
buildtools/check-experimental-syms.sh | 8 +++++---
1 file changed, 5 insertions(+), 3 deletions(-)
diff --git a/buildtools/check-experimental-syms.sh b/buildtools/check-experimental-syms.sh
index 7d21de3..5bc8cda 100755
--- a/buildtools/check-experimental-syms.sh
+++ b/buildtools/check-experimental-syms.sh
@@ -22,9 +22,11 @@ do
IN_EXP=$?
if [ $IN_TEXT -eq 0 -a $IN_EXP -ne 0 ]
then
- echo "$SYM is not flagged as experimental"
- echo "but is listed in version map"
- echo "Please add __rte_experimental to the definition of $SYM"
+ cat >&2 <<- END_OF_MESSAGE
+ $SYM is not flagged as experimental
+ but is listed in version map
+ Please add __rte_experimental to the definition of $SYM
+ END_OF_MESSAGE
exit 1
fi
done
--
2.7.4
^ permalink raw reply [flat|nested] 5+ messages in thread
* Re: [dpdk-dev] [PATCH v2] buildtools: output build failure reason to stderr
2018-02-07 8:24 ` [dpdk-dev] [PATCH v2] " Andrew Rybchenko
@ 2018-02-07 12:24 ` Neil Horman
2018-02-08 21:26 ` Thomas Monjalon
0 siblings, 1 reply; 5+ messages in thread
From: Neil Horman @ 2018-02-07 12:24 UTC (permalink / raw)
To: Andrew Rybchenko; +Cc: dev, Thomas Monjalon
On Wed, Feb 07, 2018 at 08:24:00AM +0000, Andrew Rybchenko wrote:
> If build fails because of failed experimental check and stdout is
> redirected to /dev/null, it is absolutely unclear why build fails.
>
> Fixes: a4bcd61de82d ("buildtools: add script to check experimental API exports")
>
> Signed-off-by: Andrew Rybchenko <arybchenko@solarflare.com>
> ---
> v2:
> - use <<- to keep indentation of the message
>
> buildtools/check-experimental-syms.sh | 8 +++++---
> 1 file changed, 5 insertions(+), 3 deletions(-)
>
> diff --git a/buildtools/check-experimental-syms.sh b/buildtools/check-experimental-syms.sh
> index 7d21de3..5bc8cda 100755
> --- a/buildtools/check-experimental-syms.sh
> +++ b/buildtools/check-experimental-syms.sh
> @@ -22,9 +22,11 @@ do
> IN_EXP=$?
> if [ $IN_TEXT -eq 0 -a $IN_EXP -ne 0 ]
> then
> - echo "$SYM is not flagged as experimental"
> - echo "but is listed in version map"
> - echo "Please add __rte_experimental to the definition of $SYM"
> + cat >&2 <<- END_OF_MESSAGE
> + $SYM is not flagged as experimental
> + but is listed in version map
> + Please add __rte_experimental to the definition of $SYM
> + END_OF_MESSAGE
> exit 1
> fi
> done
> --
> 2.7.4
>
>
Acked-by: Neil Horman <nhorman@tuxdriver.com>
^ permalink raw reply [flat|nested] 5+ messages in thread
* Re: [dpdk-dev] [PATCH v2] buildtools: output build failure reason to stderr
2018-02-07 12:24 ` Neil Horman
@ 2018-02-08 21:26 ` Thomas Monjalon
0 siblings, 0 replies; 5+ messages in thread
From: Thomas Monjalon @ 2018-02-08 21:26 UTC (permalink / raw)
To: Andrew Rybchenko; +Cc: dev, Neil Horman
07/02/2018 13:24, Neil Horman:
> On Wed, Feb 07, 2018 at 08:24:00AM +0000, Andrew Rybchenko wrote:
> > If build fails because of failed experimental check and stdout is
> > redirected to /dev/null, it is absolutely unclear why build fails.
> >
> > Fixes: a4bcd61de82d ("buildtools: add script to check experimental API exports")
> >
> > Signed-off-by: Andrew Rybchenko <arybchenko@solarflare.com>
> Acked-by: Neil Horman <nhorman@tuxdriver.com>
Applied, thanks
^ permalink raw reply [flat|nested] 5+ messages in thread
end of thread, other threads:[~2018-02-08 21:26 UTC | newest]
Thread overview: 5+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2018-02-01 13:49 [dpdk-dev] [PATCH] buildtools: output build failure reason to stderr Andrew Rybchenko
2018-02-06 0:19 ` Thomas Monjalon
2018-02-07 8:24 ` [dpdk-dev] [PATCH v2] " Andrew Rybchenko
2018-02-07 12:24 ` Neil Horman
2018-02-08 21:26 ` Thomas Monjalon
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).